<?php
/**
*
* @package phpbb3
* @version $Id: upload.php 1.0.0 24/04/2012 14:02:28 Dakin Quelia Exp $
* @copyright (c) 2011 by Dakin Quelia (www.danielchalseche.fr.cr)
* @license http://opensource.org/licenses/gpl-2.0.php GNU Public License
*
*/
define('IN_PHPBB', true);

$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include $phpbb_root_path . 'common.' . $phpEx;
include $phpbb_root_path . 'includes/functions_upload.' . $phpEx;

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();

// Login to upload a file
if ($user->data['user_id'] == ANONYMOUS)
{
    login_box('', $user->lang['LOGIN']);
}

// Variables
$submit = isset($_POST['upload']) ? 'upload' : ''; 

// Directory 
$user_directory = $user->data['username_clean'];
$destination = "{$phpbb_root_path}users/" . $user_directory . "/";

// Add Form Key
add_form_key('fileupload');

// Add language
$user->add_lang(array('posting', 'upload'));

// Checking Form Key
if (check_form_key('fileupload') && isset($_FILES['upload_file']))
{
	// Upload Parameters
	$upload = new fileupload();
	$upload->set_allowed_extensions(array('zip'));
	//$upload->upload->set_max_filesize($max_filesize);
	
	// Checking if dir exists
	if (!is_dir($destination))
	{
		@mkdir($destination);
	}
	
	$file = $upload->form_upload('upload_file');

	// Checking if file is send
	if (empty($file->filename))
	{
		$redirect_url = "{$phpbb_root_path}upload.$phpEx";
		
		meta_refresh(3, $redirect_url);
		
		$message = $user->lang['NO_UPLOAD_FILE'];
		$message .= '<br /><br />' . sprintf($user->lang['RETURN_UPLOAD_FORM'], '<a href="' . append_sid($redirect_url) . '">', '</a>');
		
		trigger_error($message);
	}
	else
	{
		// If no error we move file
		if (!$file->init_error && !sizeof($file->error))
		{
			$file->clean_filename('real');
			$file->move_file($destination, true);
		}
	}
	
	// Checking if file is uploaded
	if ($file->is_uploaded())
	{
		// If no error let's go baby
		if (!sizeof($file->error))
		{
			$bg_color = '228822';
			$message = $user->lang['FILE_UPLOAD_SUCCESS'];
		}
		else
		{
			$bg_color = 'BC2A4D';
			$message = $user->lang['FILE_UPLOAD_NOT_SUCCESS'];
		}
		
		$destination = generate_board_url() . "/users/" . $user_directory . "/";
	}
	
	// Template variables
	$template->assign_vars(array(
		'MESSAGE'				=> !empty($message) ? $message : '',
		'MSG_BG_COLOR'			=> !empty($bg_color) ? $bg_color : '',

		'FILE_UPLOADED'			=> ($file->is_uploaded() && !sizeof($file->error)) ? true : false,
		'U_LINK_DIRECT'			=> $file->is_uploaded() ? $destination . $file->get('realname') : '',
		'U_LINK_HTML'      		=> $file->is_uploaded() ? htmlentities('<a href="' . $destination . $file->get('realname') . '" title="' . $file->get('uploadname') . '">' . $file->get('uploadname') . '</a>') : '',
		'U_LINK_BBCODE'     	=> $file->is_uploaded() ? htmlentities('[url=' . $destination . $file->get('realname') . ']' . $file->get('uploadname') . '[/url]') : '',
	));
}

// Output page
page_header($user->lang['UPLOAD_FILE']);

// Assign index specific vars
$template->assign_vars(array(
	'S_IS_FOUNDER'   		=> ($user->data['user_type'] == USER_FOUNDER) ? true : false,
	'S_ACTION'				=> "{$phpbb_root_path}upload.$phpEx",
));

$template->set_filenames(array(
	'body' => 'upload_body.html')
);

page_footer();

?>
